> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# History

> History

### Path parameters

<ParamField path="subject_type" type="string" required>
  Subject record type
</ParamField>

<ParamField path="subject_id" type="string" required>
  Subject record ID
</ParamField>

### Responses

<ResponseField name="200" type="ActivityLogResponse[]" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/activity-logs/{subject_type}/{subject_id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "action": "string",
      "actor": null,
      "actor_kind": "string",
      "created_at": "string",
      "id": "string",
      "metadata": {},
      "subject_id": "string",
      "subject_type": "string",
      "summary": "string"
    }
  ]
  ```
</ResponseExample>
